/*
 * ***** BEGIN LICENSE BLOCK *****
 *   Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is GTDInbox.
 *
 * The Initial Developer of the Original Code is
 * Andy Mitchell (andy@gtdinbox.com)
 * Portions created by the Initial Developer are Copyright (C) 2009
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */


/**
 * Base class for plugin migration code.
 *
 * @class ?
 */
var giPluginMigrator = giBase.extend({
    // Properties {

    //}

    // Methods {
    /**
     * Called by the plugin loader after the page base class has been succesfully
     * instantiated and plugins are ready for loading.
     * @function ?
     * @param {giPluginPrefManager} pluginPrefs - Pref object for account and plugin
     * @param {String} previousVersion - The version we are migrating from
     */
    migrate: function(pluginPrefs, previousVersion) {
        throw new Error('Must implement migrate method');
    },


    //}
});