/*
 * ***** BEGIN LICENSE BLOCK *****
 *   Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is GTDInbox.
 *
 * The Initial Developer of the Original Code is
 * Andy Mitchell (andy@gtdinbox.com)
 * Portions created by the Initial Developer are Copyright (C) 2009
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * 
 * Originally developed for GTDInbox for Gmail. http://www.gtdinbox.com
 * Find out more about developing with this codebase at http://www.gtdinbox.com/development.htm
 * Anyone who utilises this code is required to include this license notice in all covered code.
 * 
 * ***** END LICENSE BLOCK ***** */


/**
 *
 * @class ?
 */
var glRequestOriginalMsg = glRequest.extend({
    // Properties {
    /**
     * The original message ID
     * @property {String} ?
     */
    messageId: null,

    /**
     * @property {String} ?
     */
    data: null,

    //}


    /**
     * The request callback from the XMLHttpRequest. Dispatches a
     * glRequest.COMPLETED event after parsing the data (check the errors property
     * to see if there were problems).
     * @function ?
     */
    _requestCallback: function() {
        //giLogger.log("Response:\n"+this._xmlRequest.responseText, 'glRequest');

        // Process response data
        try {
            // Extract message ID
            
            var m = this._xmlRequest.responseText.match(/Message-ID: <([^>]+)>/i);
            if( m ) {
                this.data = m[1];
            }
        } catch(e) {
			giLogger.warn('Error in parse: '+this.url+'\n'+e, 'glRequestOriginalMsg._requestCallback');
            this.errors.push(e.toString());
        }

        // Notify listeners that the request is completed
		try {
			this.dispatchEvent({name: glRequest.COMPLETED});
		} catch(e) {
			giLogger.warn(e, 'glRequestOriginalMsg._requestCallback COMPLETED', this._glGmail);
		}
    },
        
},{
    
    // Static Methods {
    /**
     * Create and return a glRequestOriginalMsg object for a message.
     * @function {static glRequestOriginalMsg} ?
     * @param {glGmail} gmail - The glGmail object for the page
     * @return The created request object
     */
    createRequest: function(gmail, messageID) {
        return new glRequestOriginalMsg(gmail, {view:'om',th:messageID});
    },
    // }
});