/*
 * ***** BEGIN LICENSE BLOCK *****
 * GTDInbox source code. Copyright (2009) of The Inbox Foundry Ltd.
 * No reuse without express permission.
 * If you're interested in utilising or working on this code, please contact Andy Mitchell (andy@inboxfoundry.com).
 * ***** END LICENSE BLOCK ***** */


/**
 * Migrate preferences on upgrade (version number change in manifest)
 *
 * @class ? @extends giPluginMigrator
 */
var gtdMigrator = giPluginMigrator.extend({
    
    /**
     * Called by the plugin loader after the page base class has been succesfully
     * instantiated and plugins are ready for loading.
     * @function ?
     * @param {giPluginPrefManager} pluginPrefs - Pref object for account and plugin
     * @param {String} previousVersion - The version we are migrating from
     */
    migrate: function(pluginPrefs, previousVersion) {
        
        giLogger.log('migrating gtd from ' + previousVersion);
        switch( previousVersion ) {
            case "1.0a11":
                pluginPrefs.setPref("components.navigation.gmail_labels_box.enabled", true);
                pluginPrefs.setPref("components.navigation.gmail_labels_box.recent_hidden", true);
        }
        
    },
    
});