/*
 * ***** BEGIN LICENSE BLOCK *****
 * GTDInbox source code. Copyright (2009) of The Inbox Foundry Ltd.
 * No reuse without express permission.
 * If you're interested in utilising or working on this code, please contact Andy Mitchell (andy@inboxfoundry.com).
 * ***** END LICENSE BLOCK ***** */


/**
 *
 * @class ? @extends gtdBrowserThreads
 */
var gtdBrowserThreadsSearch = gtdBrowserThreads.extend({
    // Properties {
    
    //}


	// Methods {
	/**
	* Connects the element to the given gtdMainPagePlugin object's page. Called
	* automatically by {@link gtdMainPagePlugin.getUIObject}.
	* @function ?
	* @param {gtdMainPagePlugin} main - The gtdMainPagePlugin object for the page
	*/
	connect: function(main) {
		giLogger.log('Connecting gtdBrowserThreadsSearch object to view', 'gtdBrowserThreadsSearch');
		
		this.base(main);

	},



	/**
	* Called on page shutdown, it does cleanup
	* @function ?
	*/
	disconnect: function() {
		giLogger.log('Disconnecting gtdBrowserThreadsSearch from view', 'gtdBrowserThreadsSearch');
		
		this.base();
	},
	
    
    
	
	/**
	* Initiate the loading of this viewer.
	* Give tabs their initial counts and pass in an item filter for this item; rely on tabs to pass back a SELECT_TAB for the first item, which finishes the loading in ._tabChange
	* @function ?
	* @param {String} type - The type. Based on gtdBrowserThreadsSearch static properties
	* @param {String} item - The item. Depends on type (e.g. for gtdBrowser.TYPES.STATUSES it will be a status label. For gtdBrowser.TYPES.CONTACT it will be a name/email)
	*/
	load: function(type, item, threadContainer) {
		
        // Set up basic filter:
        var searchConditions = glSearchConditions.createFromSearchString(item);
		this.base(type, item, searchConditions);
        
        this._createThreadListTab('all', '');
        
        // Add tabs:
        this._createTabsFromViews();
        
        // Add Files tab:
        this._createThreadListTab('files', 'has:attachment');
        
        
        // Select first tab:
        this.selectTab();
	},
	
});