/*
 * ***** BEGIN LICENSE BLOCK *****
 * GTDInbox source code. Copyright (2009) of The Inbox Foundry Ltd.
 * No reuse without express permission.
 * If you're interested in utilising or working on this code, please contact Andy Mitchell (andy@inboxfoundry.com).
 * ***** END LICENSE BLOCK ***** */


/**
 * The message compose view abstraction layer.
 *
 * @class ? @extends glUIView
 */
var gtdComposeView = giUIObject.extend({
    // Properties {

	/** @property {gtdComposeTabs} ? The tab box for compose */
	composeTabs: null,

    /** @property {gtdComposeLabels} ? The labelling box for compose */
	composeLabels: null,

    //}

    // Methods {
    /**
     * Connects the element to the given glGmail object's page. Called automatically
     * by {@link glGmail.getUIObject}.
     * @function ?
     * @param {gtdMainPagePlugin} main - The gtdMainPagePlugin object for the page
     */
    connect: function(main) {
        giLogger.log('Connecting gtdComposeView object to view', 'gtdComposeView');

        this.base(main);

    
        if(main.prefs.getPref('components.compose.compose_personal_tabs.enabled')) {
            this.composeTabs = main.getUIObject('composeTabs');
        }
        
        if(main.prefs.getPref('components.compose.compose_labels.enabled')) {
            this.composeLabels = main.getUIObject('composeLabels');
        }
    },

    /**
     * Called on page shutdown, it does cleanup
     * @function ?
     */
    disconnect: function() {
        giLogger.log('Disconnecting gtdComposeView from view', 'gtdComposeView');
            
    
        if( this.composeTabs ) this.composeTabs.disconnect();
        if( this.composeLabels ) this.composeTabs.disconnect();
        
        this.composeTabs = null;

        this.base();
    },
    
    
    //}
});
