/*
 * ***** BEGIN LICENSE BLOCK *****
 * GTDInbox source code. Copyright (2009) of The Inbox Foundry Ltd.
 * No reuse without express permission.
 * If you're interested in utilising or working on this code, please contact Andy Mitchell (andy@inboxfoundry.com).
 * ***** END LICENSE BLOCK ***** */


/**
 * The thread list view abstraction layer.
 *
 * @class ? @extends giUIObject
 */
var gtdThreadListView = giUIObject.extend({
    // Properties {


	/**
	* The {@link gtdActionsHeader} object for the view
	* @property {gtdActionsHeader} ?
	*/
	//actionsHeader: null,
	
	/**
	* The {@link gtdThreadListCommands} object for the view
	* @property {gtdThreadListCommands} ?
	*/
	_threadListCommands: null,
	
    //}

    // Methods {
    /**
     * Connects the element to the given glGmail object's page. Called automatically
     * by {@link glGmail.getUIObject}.
     * @function ?
     * @param {gtdMainPagePlugin} main - The gtdMainPagePlugin object for the page
     */
    connect: function(main) {
        giLogger.log('Connecting gtdThreadListView object to view', 'glThreadListView');

        this.base(main);
        //this.actionsHeader = main.getUIObject('actionsHeader');
        
        if( main.prefs.getPref('components.thread_list.preview_button.enabled') || main.prefs.getPref('components.thread_list.preview_button.enabled') ) {
            this._threadListCommands = main.getUIObject('threadListCommands');
        }

    },

    /**
     * Called on page shutdown, it does cleanup
     * @function ?
     */
    disconnect: function() {
        giLogger.log('Disconnecting gtdThreadListView from view', 'glThreadListView');
        
        //this.actionsHeader.disconnect();
        //this.actionsHeader = null;
        
        if( this._threadListCommands ) {
            this._threadListCommands.disconnect();
            this._threadListCommands = null;
        }
        this.base();
    },
    
    

    //}
});
