/*
 * ***** BEGIN LICENSE BLOCK *****
 * GTDInbox source code. Copyright (2009) of The Inbox Foundry Ltd.
 * No reuse without express permission.
 * If you're interested in utilising or working on this code, please contact Andy Mitchell (andy@inboxfoundry.com).
 * ***** END LICENSE BLOCK ***** */


/**
 * Logic for grouping threads and groups
 *
 * @class ? @extends gtdThreadListGroupBy
 */
var gtdThreadListGroupByList = gtdThreadListGroupBy.extend({
    // Properties {
    
    //}

	// Methods {
	
    /**
     * The constructor
     * @function {} ?
     */
    constructor: function(gtd){
        this.base(gtd);
        
        this.id = "list";
        this.displayName = giI18N.getString("ThreadList.GroupBy."+this.id);
        this.iconSrc = "chrome://gtdinbox/skin/gtd/i/gtdi-groupby-list.png";
        
        this._all = giI18N.getString("ThreadList.GroupBy.list.all"); // TODO localise
    },
    
    /**
     * Return an array of group ids for this thread.
     * @function {String[][]} ?
     * @param {glThread} thread -
     * @return Format: [[group id, group name]]
     */
    groupThread: function(thread) {
        return [[this._all]];
    },
    
    /**
     * A sort function compatible with Javascript's inbuilt Array.sort
     * Compare two threads
     * @function {int} ?
     * @param {gtdThreadListThread} a
     * @param {gtdThreadListThread} b
     * @return -1 if a<b in order, 0 is a==b, and 1 if a>b in order
     */
    sortThreads: null,
    
    
    // }

});
