/*
 * ***** BEGIN LICENSE BLOCK *****
 *   Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is GTDInbox.
 *
 * The Initial Developer of the Original Code is
 * Andy Mitchell (andy@gtdinbox.com)
 * Portions created by the Initial Developer are Copyright (C) 2009
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * 
 * Originally developed for GTDInbox for Gmail. http://www.gtdinbox.com
 * Find out more about developing with this codebase at http://www.gtdinbox.com/development.htm
 * Anyone who utilises this code is required to include this license notice in all covered code.
 * 
 * ***** END LICENSE BLOCK ***** */

/**
 * The controller for the Preferences
 * @class
 */
var gipMain = giBase.extend({
	// Properties {
    
    /**
     * @property {gipAccounts}
     */
	_accounts: null,
    
    /**
     * @property {gipPluginContainer}
     */
    _pluginContainer: null,
    
	// }
	
	/**
	* @constructor ?
	*/
	constructor: function() {
        
        try {
        
            // Get locale info
            giI18N.addStringBundle('options');
                
            // Initiate the plugin container
            this._pluginContainer = new gipPluginContainer();
            // TODO hide the plugin container, listen for gipPluginsContainer fire events to handle switching 
            
            // Initiate the accounts:
            this._accounts = new gipAccounts();
            this._accounts.addEventListener(gipAccounts.SELECT_ACCOUNT, this._selectAccount, this);
            this._accounts.load();
            
        } catch(e) {
            giLogger.warn(e, 'gipMain.constructor');
        }
    },
	
    unload: function() {
        
    },
    
    /**
     * Notification from gipAccounts that an account was selected (also happens on first load)
     * @function {} ?
     */
    _selectAccount: function(evt) {
        // TODO make this utilise the current selection from pluginsContainer rather than just 'gtd'
        giLogger('main selectAccount: ' + evt.account);
        this._pluginContainer.load(evt.account, 'gtd');
    },
	
});