/*
 * ***** BEGIN LICENSE BLOCK *****
 *   Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is GTDInbox.
 *
 * The Initial Developer of the Original Code is
 * Andy Mitchell (andy@gtdinbox.com)
 * Portions created by the Initial Developer are Copyright (C) 2009
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * 
 * Originally developed for GTDInbox for Gmail. http://www.gtdinbox.com
 * Find out more about developing with this codebase at http://www.gtdinbox.com/development.htm
 * Anyone who utilises this code is required to include this license notice in all covered code.
 * 
 * ***** END LICENSE BLOCK ***** */


/**
 * The view for a single plugin. Load the specific preferences within it.
 * @class
 */
var gipPluginContainer = giBase.extend({
	// Properties {
	
    /**
     * @property {Element}
     */
    el: null,
    
    /**
     * @property {String}
     */
    _account: null,
    
    /**
     * @property {String}
     */
    _plugin: null,
    
    /**
     * @property {giPluginBase}
     */
    _pluginObj: null,
    
    /**
     * @property {giPluginPrefManager}
     */
    prefManager: null,
    
    
	// }
	
	/**
	* @constructor ?
	*/
	constructor: function() {
		this.el = document.getElementById('gtdi-plugin-container-pane');
	},
    
    unload: function() {
        
    },


    /**
     * Load the preference pane for a given plugin/account
     * Populate it with the current preferences
     * @function {} ?
     * @param {String} account - The account to load
     * @param {String} plugin - The plugin to load
     */
    load: function(account, plugin) {
        this.prefManager = new giPluginPrefManager(account, plugin);
        
        // TODO modify XUL to load the specific xul pane for the plugin
        
        if( this._pluginObj ) this._pluginObj.disconnect();
        this._pluginObj = new gipPluginGtd(); // TODO choose classes using the manifest or some other means, based on the 'plugin' variable
        this._pluginObj.connect(this);
        
    },
    
	
});